## AgsScrolledPiano

AgsScrolledPiano — scrolled piano widget

## Stability Level

Stable, unless otherwise indicated

## Functions

GtkScrolledWindow * | ags_scrolled_piano_get_scrolled_window ()
AgsPiano * | ags_scrolled_piano_get_piano ()
AgsScrolledPiano * | ags_scrolled_piano_new ()

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkGrid
                    ╰── AgsScrolledPiano

## Includes

    #include <ags/widget/ags_scrolled_piano.h>

## Description

The AgsScrolledPiano lets you to have a scrolled piano widget.

## Functions

### ags_scrolled_piano_get_scrolled_window ()

    GtkScrolledWindow *
    ags_scrolled_piano_get_scrolled_window
                                   (AgsScrolledPiano *scrolled_piano);

Get scrolled window of `scrolled_piano` .

#### Parameters

scrolled_piano | the AgsScrolledPiano |

#### Returns

the GtkScrolled_Window.

[transfer none]

Since: 3.6.8

### ags_scrolled_piano_get_piano ()

    AgsPiano *
    ags_scrolled_piano_get_piano (AgsScrolledPiano *scrolled_piano);

Get piano of `scrolled_piano` .

#### Parameters

scrolled_piano | the AgsScrolledPiano |

#### Returns

the AgsPiano.

[transfer none]

Since: 3.6.8

### ags_scrolled_piano_new ()

    AgsScrolledPiano *
    ags_scrolled_piano_new ();

Create a new AgsScrolledPiano.

#### Returns

a new AgsScrolledPiano

Since: 3.0.0